This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 877758 - (python-nmap) Review Request: python-nmap - A python library which helps in using nmap port scanner
Review Request: python-nmap - A python library which helps in using nmap port...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2012-11-18 10:17 EST by Fabian Affolter
Modified: 2012-11-29 01:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 01:17:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2012-11-18 10:17:08 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-nmap.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-nmap-0.2.4-1.fc17.src.rpm

Project URL: https://code.google.com/p/python-nmap/

Description:
python-nmap is a python library which helps in using nmap port scanner. It
allows to easily manipulate nmap scan results and will be a perfect tool
for systems administrators who want to automatize scanning task and reports.
It also supports nmap script outputs. 

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4700396

rpmlint output:
[fab@laptop11 SRPMS]$ rpmlint python-nmap-0.2.4-1.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop11 noarch]$ rpmlint python-nmap-0.2.4-1.fc17.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab
Comment 1 Mario Blättermann 2012-11-18 16:59:19 EST
$ rpmlint -i -v *
python-nmap.src: I: checking
python-nmap.src: I: checking-url https://code.google.com/p/python-nmap/ (timeout 10 seconds)
python-nmap.src: I: checking-url https://python-nmap.googlecode.com/files/python-nmap-0.2.4.tar.gz (timeout 10 seconds)
python-nmap.src: W: invalid-url Source0: https://python-nmap.googlecode.com/files/python-nmap-0.2.4.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-nmap.noarch: I: checking
python-nmap.noarch: I: checking-url https://code.google.com/p/python-nmap/ (timeout 10 seconds)
python-nmap.spec: I: checking-url https://python-nmap.googlecode.com/files/python-nmap-0.2.4.tar.gz (timeout 10 seconds)
python-nmap.spec: W: invalid-url Source0: https://python-nmap.googlecode.com/files/python-nmap-0.2.4.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 1 specfiles checked; 0 errors, 2 warnings.


The source tarball exists, it is downloadable using wget. The usual problem with Googlecode stuff once again.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv3+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    160c562b81c8f41c96f84ead8cf736123ab7bb908bb47269d2c5d77a6503d84d  python-nmap-0.2.4.tar.gz
    160c562b81c8f41c96f84ead8cf736123ab7bb908bb47269d2c5d77a6503d84d  python-nmap-0.2.4.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 2 Fabian Affolter 2012-11-19 12:43:21 EST
Thanks Mario.
Comment 3 Fabian Affolter 2012-11-19 12:43:58 EST
New Package SCM Request
=======================
Package Name: python-nmap
Short Description: A python library which helps in using nmap port scanner
Owners: fab
Branches: F18 F17
InitialCC:
Comment 4 Jon Ciesla 2012-11-19 12:50:36 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-11-19 14:09:53 EST
python-nmap-0.2.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-nmap-0.2.4-1.fc17
Comment 6 Fedora Update System 2012-11-19 14:10:03 EST
python-nmap-0.2.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-nmap-0.2.4-1.fc18
Comment 7 Fedora Update System 2012-11-19 22:09:21 EST
python-nmap-0.2.4-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-11-29 01:17:43 EST
python-nmap-0.2.4-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-11-29 01:36:58 EST
python-nmap-0.2.4-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.